<?php
/**
 * CRM 基本模块
 * 默认接口方法，此方法内定议基础框架所需要的方法，用于验证模块合法性，模块版本，对接基础架构中需要的方法
 *
 * ============================================================================
 * 版权所有 2017北京素玄科技，并保留所有权利。
 *
 * 网站地址: http://www.suxuantech.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！未经允许的情况下，您不能对本系统代码做任何修改 .
 * 不允许对程序代码以任何形式任何目的的再发布。
 * 如有修改需求，请联系素玄科技有限公司：contact@suxuantech.cn
 * ============================================================================
 * $Author: songdemei<songdemei@suxuantech.cn> 2017-10-17 $
 */
namespace app\crm\controller;
use think\Cache;
use app\index\controller\Base;
use think\Request;
use think\Session;
use think\Controller;
use app\common\lib\redisQueue;
class Weixin extends Base{
	// 自动分配 接收页面 只显示接收情况 不显示客资详情
    public function receiveCustomer(){
        $cid = input('cid/d');
        //$message = controller("Customer","lib")->getMessageByCustomerId($cid);
        $message = db('c_message')
            ->where('receive_id',session('staff_id'))
            ->where('customer_id',$cid)
            ->order('id desc')
            ->find();
        if($message){
            if($message['time_out'] < time()){
                $message['timeout'] = 1;
            }
            $message['time_out'] = date('Y-m-d H:i:s',$message['time_out']);

            $this->assign('message',$message);

        }
        return $this->fetch();
    }
    // 手动分配，自动分配 已接收后页面 显示客资详情
    public function receiveCustomerDetail(){
    	$cid = input('cid');
    	$cInfo = db('c_customerinfo')->where('id','in',$cid)->where('is_status',1)->where('c_from',1)->find();
    	// echo db()->getLastSql();
    	// var_dump($cInfo);
    	// die;
    	$this->assign('cInfo',$cInfo);
    	return $this->fetch();
    }
}